Package org.apache.wiki.api.plugin

# Interface InitializablePlugin

public interface InitializablePlugin
If a plugin defines this interface, it is called exactly once prior to the actual execute() routine. If the plugin has its own declaration in jspwiki_modules.xml, then it is called during startup - otherwise it is called the first time the plugin is encountered.

This method did not actually work until 2.5.30. The method signature has been changed in 2.6 to reflect the new operation.

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(Engine engine)`
Called whenever the plugin is being instantiated for the first time.

## Method Details

### initialize

void initialize(Engine engine) throws PluginException
Called whenever the plugin is being instantiated for the first time.

Parameters:
  `engine` - The Engine.
Throws:
  `PluginException` - If something goes wrong.